// COCI-2008-3
// 2008.12.13

#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#include <string>
#include <vector>
#include <set>
#include <map>
#include <queue>
#include <algorithm>

using namespace std;

#define VI vector<int>
#define int64 long long
#define VVI vector <vector<int> >

#define SZ(a) a.size()
#define MP make_pair
#define PII pair<int, int>
#define PB push_back
#define ALL(a) a.begin(), a.end()
#define CLA(a) memset(a, 0, sizeof(a))
#define FOR(i,n) for (int i = 0; i < int(n); i++)
#define FORE(i,a, b) for (int i = a; i <= b; i++)
#define FORR(i,n) for (int i = n - 1; i >=0; i--)
#define REP(n) for (int _foo = n - 1; _foo >= 0; _foo--)

#define INF 1000000000

int ri() {int t; scanf("%d", &t); return t;}
void rs(char *s) {scanf("%s", s);}
void pi(int n){printf("%d\n", n);}

char s[128];

int vw[256];

int main()
{
#ifdef _DEBUG
	freopen("in.txt", "r", stdin);
	//freopen("out.txt", "w", stdout);
#endif
	vw['e'] = vw['i'] = vw['o'] = vw['a'] = vw['u'] = 1;
	int c = 0;
	while (scanf("%s", s) == 1)
	{
		if (c) putchar(' '); c++;
		char *p = s;
		while (*p)
		{
			if (vw[*p] && p[1] == 'p' && p[0] == p[2])
			{
				putchar(*p);
				p += 3;
			}
			else
			{
				putchar(*p++);
			}
		}
	}
}
